package com.example.schedulerapp;

import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.ScrollPane;
import javafx.scene.layout.GridPane;

public class EmployeeView extends ScrollPane implements ModelSubscriber{

    Model model;
    GridPane contents;

    public EmployeeView(){
        contents = new GridPane();
        this.setContent(contents);
    }

    public void draw(){
        contents.getChildren().clear();
        contents.setVgap(10);
        contents.setHgap(20);

        contents.addRow(0, new Label("ID"), new Label("Name"));
        int i = 1;
        for (Employee e : model.getAllEmployees()){
            Button button = new Button("Details");
            button.setOnAction(event -> {
                EmployeeDetailsPopUp popUp = new EmployeeDetailsPopUp(e);
                popUp.show(this.getScene().getWindow());
            });
            contents.addRow(i, new Label(String.valueOf(e.getEmployeeID())), new Label(e.getFullName()), button);
            i++;
        }
    }

    public void setModel(Model m){
        model = m;
        draw();
    }

    @Override
    public void modelChanged() {
        draw();
    }
}
