package com.example.schedulerapp;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;

import java.time.LocalTime;

public class ScheduleApp extends Application {
    @Override
    public void start(Stage stage) throws Exception {
        Model model = new Model("localhost", 8989);
        Controller controller = new Controller();
        controller.setModel(model);

        FXMLLoader fxmlLoader = new FXMLLoader(ScheduleApp.class.getResource("login.fxml"));
        fxmlLoader.setController(controller);

        Scene scene = new Scene(fxmlLoader.load(),800,600);
        stage.setTitle("Scheduler App");

        stage.setScene(scene);
        stage.show();

        stage.setOnCloseRequest(e -> javafx.application.Platform.exit());
    }

    public static void main(String[] args) {
        launch();
    }
}
